Bug 226055 - www/py-searx: Update to 0.14.0
Summary: www/py-searx: Update to 0.14.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: easy, needs-qa
Depends on: 226032 226078
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-20 07:50 UTC by loic.blot
Modified: 2018-03-09 08:35 UTC (History)
2 users (show)

See Also:


Attachments
searx.patch (2.71 KB, patch)
2018-02-20 07:50 UTC, loic.blot
no flags Details | Diff
Updated patch (4.84 KB, patch)
2018-02-21 01:27 UTC, Yuri Victorovich
no flags Details | Diff
patch (6.89 KB, patch)
2018-02-21 02:28 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description loic.blot 2018-02-20 07:50:34 UTC
Created attachment 190818 [details]
searx.patch

We are currently in 0.12. Here is a patch to update to 0.14

I re-ordered python deps like the requirements.txt to easily update it in next releases.

This required https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226032 to be merged
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-02-20 08:04:19 UTC
Tip: Unless requirements.txt files are parsed/used by the setup.py, don't rely only on them as canonical or authoritative, as they can often be very different to those listed in setup.py

Don't forget to setup maintainer-approval (to +) on attachments for ports you are maintainer of
Comment 2 Yuri Victorovich freebsd_committer 2018-02-21 01:27:14 UTC
Created attachment 190841 [details]
Updated patch
Comment 3 Yuri Victorovich freebsd_committer 2018-02-21 02:28:29 UTC
Created attachment 190843 [details]
patch
Comment 4 Yuri Victorovich freebsd_committer 2018-03-09 08:35:09 UTC
Committed with many additions.
Thank you for the update!
Comment 5 commit-hook freebsd_committer 2018-03-09 08:35:11 UTC
A commit references this bug:

Author: yuri
Date: Fri Mar  9 08:34:58 UTC 2018
New revision: 463944
URL: https://svnweb.freebsd.org/changeset/ports/463944

Log:
  www/py-searx: Update to 0.14.0

  Port changes:
  * Changed DISTVERSION
  * Switched to CHEESESHOP
  * Updated COMMENT
  * Updated RUN_DEPENDS
  * Replaced USE_PYTHON=concurrent with USE_PYTHON=noflavors
  * Patched requirements.txt to require on >= basis
  * Removed tests inslall (conflicts with other such packages)
  * Move settings under /etc
  * In searx.in, used %%PYTHON_CMD%% instead of the hardcoded command
  * Fixed searx.in to actually start and stop the service (it was broken)
  * Added pkg-message explaining how to use it

  Testing:
  * runs fine

  This package allows you to get rid of tracking by the search providers
  (google, bing, etc). You can either use the local service on
  http://localhost:8888, or one of the external instances, ex. https://searx.me/

  PR:		226055
  Submitted by:	loic.blot@unix-experience.fr (maintainer)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/www/py-searx/Makefile
  head/www/py-searx/distinfo
  head/www/py-searx/files/pkg-message.in
  head/www/py-searx/files/searx.in
  head/www/py-searx/pkg-descr
  head/www/py-searx/pkg-plist